function domain_size = mag_stats(in)
[m,n]=size(in);
magnetization=abs( (2*sum(sum(in))-m*n)/(m*n) )

temp=pad(in);
indomain=0;

for i=2:m+1
    for j=2:n+1
        total= sum(sum(temp(i-1:i+1,j-1:j+1)))-temp(i,j);
        if ( temp(i,j) & total==8 ) | ( ~temp(i,j) & ~total)
            indomain=indomain+1;
        end
    end
end

domain_size=indomain/(m*n)